Subject: Re: [PATCH net-next v5] net: pppoe: implement GRO/GSO support

From: Jakub Kicinski <[email-masked]>
Date: Wed, 25 Mar 2026 16:59:10 -0700

On Wed, 25 Mar 2026 17:23:39 +0800 Qingfang Deng wrote:
> > > I haven't written a kselftest before. What tests should I include?
> > >
> > > I think I can add a local ppp server and client over veth, and test
> > > the connection with ping and iperf3.  
> >
> > We have tools/testing/selftests/drivers/net/gro.c and associated Python
> > test. (note I have ambiguous feelings about adding ppp cases to this
> > file vs creating a new test, adding Willem to CC maybe he has some
> > guidance)  
> 
> He hasn't replied. What do you think?

He probably missed the mid-thread email. Proceed with whatever you feel
makes sense.